using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Sunisoft.IrisSkin;
//www.51aspx.com
namespace HRManagerSystem
{
    public partial class MainForm : Form
    {

        #region 构造函数
        public MainForm()
        {
            InitializeComponent();
        }
        /// <summary>
        /// 重载构造函数，用于传参
        /// </summary>
        string txtname = "";
        public MainForm(string name)
        {
            InitializeComponent();
            this.txtname = name;
        } 
        #endregion
        #region 页面加载
        /// <summary>
        /// 点击【人事管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btstaffm_Click(object sender, EventArgs e)
        {
            panel5.Show();
            panel5.Dock = DockStyle.Fill;
            panel6.Hide();
            panel7.Hide();
                
        }       
        /// <summary>
        /// 点击【部门管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btdepart_Click(object sender, EventArgs e)
        {
            panel6.Show();
            panel6.Dock = DockStyle.Fill;
            panel5.Hide();
            panel7.Hide();
        }
        /// <summary>
        /// 点击【用户管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btueserm_Click(object sender, EventArgs e)
        {
            panel7.Show();
            panel7.Dock = DockStyle.Fill;
            panel5.Hide();
            panel6.Hide();
        }
        /// <summary>
        /// 该页面加载时默认为【人事管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void MainForm_Load(object sender, EventArgs e)
        {
            panel5.Dock = DockStyle.Fill;
            panel6.Hide();
            panel7.Hide();

        }  
        #endregion               
   
        #region 菜单设置
        /// <summary>
        /// 点击帮助时
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void label6_Click(object sender, EventArgs e)
        {
            HelpDocumentForm hp = new HelpDocumentForm();
            hp.ShowDialog();
        }
        /// <summary>
        /// 点击软件升级时
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void label5_Click(object sender, EventArgs e)
        {
            MessageBox.Show("请点击链接 http://www.51aspx.com");
        }
        /// <summary>
        /// 点击打印机链接时
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void label3_Click(object sender, EventArgs e)
        {
            MessageBox.Show("当前没有可用的打印机资源！", "提示", MessageBoxButtons.OK, MessageBoxIcon.Warning);
        }
        /// <summary>
        /// 点击退出系统链接
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void label11_Click(object sender, EventArgs e)
        {
            this.Close();
            Environment.Exit(0);
        }
        /// <summary>
        /// 点击人事提醒时
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void label10_Click(object sender, EventArgs e)
        {
            MessageBox.Show("当前无任何人事提醒！", "提示", MessageBoxButtons.OK, MessageBoxIcon.Warning);
        }
        /// <summary>
        /// 点击修改密码时
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void label9_Click(object sender, EventArgs e)
        {
            UpdatepwdForm pwd = new UpdatepwdForm();
            pwd.ShowDialog();
        }
        /// <summary>
        /// 点击切换用户时
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void label8_Click(object sender, EventArgs e)
        {
            MessageBox.Show("当前没有可切换的用户！", "提示", MessageBoxButtons.OK, MessageBoxIcon.Warning);
        }
        /// <summary>
        /// 点击系统选项时
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void label7_Click(object sender, EventArgs e)
        {
            MessageBox.Show("不存在相应的操作");
        }
        /// <summary>
        /// 退出提醒
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void MainForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            
        } 
        #endregion
        #region 人事管理
        /// <summary>
        /// 【人员调动】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel4_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            StaffRemoveForm srf = new StaffRemoveForm();
            srf.ShowDialog();
        }
        /// <summary>
        /// 【人员调动】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button4_Click(object sender, EventArgs e)
        {
            StaffRemoveForm srf = new StaffRemoveForm();
            srf.ShowDialog();
        }
        /// <summary>
        /// 【员工培训管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button2_Click(object sender, EventArgs e)
        {
            StaffTrainForm stf = new StaffTrainForm();
            stf.ShowDialog();
        }
        /// <summary>
        /// 【员工档案管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button1_Click(object sender, EventArgs e)
        {
            StaffForm staff = new StaffForm();
            staff.ShowDialog();
        }
        /// <summary>
        /// 【员工档案管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            StaffForm staff = new StaffForm();
            staff.ShowDialog();
        }
        /// <summary>
        /// 【员工培训管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel2_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            StaffTrainForm stf = new StaffTrainForm();
            stf.ShowDialog();
        }
        /// <summary>
        /// 导入员工奖惩页面
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button3_Click(object sender, EventArgs e)
        {
            StaffPriseForm spf = new StaffPriseForm();
            spf.ShowDialog();
        }
        /// <summary>
        /// 导入员工奖惩页面
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel3_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            StaffPriseForm spf = new StaffPriseForm();
            spf.ShowDialog();
        }

        /// <summary>
        /// 【职称管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button6_Click(object sender, EventArgs e)
        {
            MessageBox.Show("该模块功能未实现！");
        }
        /// <summary>
        /// 【职称管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel6_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            MessageBox.Show("以后慢慢完善！");
        }
        /// <summary>
        /// 【人员考评管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button5_Click(object sender, EventArgs e)
        {
            StaffKPForm skf = new StaffKPForm();
            skf.ShowDialog();
        }
        /// <summary>
        /// 【人员考评管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel5_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            StaffKPForm skf = new StaffKPForm();
            skf.ShowDialog();
        }
        /// <summary>
        /// 【劳保福利】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button8_Click(object sender, EventArgs e)
        {
            FuLiForm ff = new FuLiForm();
            ff.ShowDialog();
        }
        /// <summary>
        /// 【劳保福利】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel8_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            FuLiForm ff = new FuLiForm();
            ff.ShowDialog();
        }

        #endregion        
        #region 部门操作

        /// <summary>
        /// 【增加部门】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button11_Click(object sender, EventArgs e)
        {
            AddDepartForm adf = new AddDepartForm();
            adf.ShowDialog();
            DepartForm df = new DepartForm();
            df.ShowDialog();
        }
        /// <summary>
        /// 【增加部门】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel11_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            AddDepartForm adf = new AddDepartForm();
            adf.ShowDialog();
        }
        /// <summary>
        /// 【部门信息】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button12_Click(object sender, EventArgs e)
        {
            DepartForm df = new DepartForm();
            df.ShowDialog();
        }
        /// <summary>
        /// 【部门信息】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel12_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {

            DepartForm df = new DepartForm();
            df.ShowDialog();
        } 
        #endregion
        #region 用户管理
        /// <summary>
        /// 点击【用户操作管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button9_Click(object sender, EventArgs e)
        {
            UserManagerForm umf = new UserManagerForm();
            umf.ShowDialog();
        }
        /// <summary>
        /// 点击【用户操作管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel9_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            UserManagerForm umf = new UserManagerForm();
            umf.ShowDialog();
        }
        /// <summary>
        /// 点击【修改密码】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button10_Click(object sender, EventArgs e)
        {
            UpdatepwdForm upw = new UpdatepwdForm();
            upw.ShowDialog();
        }
        /// <summary>
        /// 点击【修改密码】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel10_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            UpdatepwdForm upw = new UpdatepwdForm();
            upw.ShowDialog();
        }
        #endregion
  

        

      
    

    
        
        

       
    }
}
